test: tagWOWPROCESSINFO struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagWOWPROCESSINFO Struct Reference

`#include <userk.h>`

List of all members.

## Public Attributes

tagWOWPROCESSINFO * | pwpiNext
PTHREADINFO | ptiScheduled
DWORD | nTaskLock
PTDB | ptdbHead
PVOID | lpfnWowExitTask
PKEVENT | pEventWowExec
HANDLE | hEventWowExecClient
DWORD | nSendLock
DWORD | nRecvLock
PTHREADINFO | CSOwningThread
LONG | CSLockCount

## Member Data Documentation

LONG tagWOWPROCESSINFO::CSLockCount

| Definition at line 3420 of file userk.h.

PTHREADINFO tagWOWPROCESSINFO::CSOwningThread

| Definition at line 3419 of file userk.h. Referenced by DestroyTask(), and xxxSleepTask().

HANDLE tagWOWPROCESSINFO::hEventWowExecClient

| Definition at line 3416 of file userk.h. Referenced by xxxRegisterUserHungAppHandlers(), and xxxSleepTask().

PVOID tagWOWPROCESSINFO::lpfnWowExitTask

| Definition at line 3414 of file userk.h. Referenced by xxxQueryInformationThread(), and xxxRegisterUserHungAppHandlers().

DWORD tagWOWPROCESSINFO::nRecvLock

| Definition at line 3418 of file userk.h. Referenced by DirectedScheduleTask(), and xxxSleepTask().

DWORD tagWOWPROCESSINFO::nSendLock

| Definition at line 3417 of file userk.h. Referenced by DirectedScheduleTask(), and xxxSleepTask().

DWORD tagWOWPROCESSINFO::nTaskLock

| Definition at line 3412 of file userk.h. Referenced by DestroyTask(), and xxxSleepTask().

PKEVENT tagWOWPROCESSINFO::pEventWowExec

| Definition at line 3415 of file userk.h. Referenced by DestroyProcessInfo(), DestroyTask(), xxxRegisterUserHungAppHandlers(), and xxxSleepTask().

PTDB tagWOWPROCESSINFO::ptdbHead

| Definition at line 3413 of file userk.h. Referenced by DestroyTask(), InsertTask(), and xxxSleepTask().

PTHREADINFO tagWOWPROCESSINFO::ptiScheduled

| Definition at line 3411 of file userk.h. Referenced by DestroyTask(), DirectedScheduleTask(), WakeWowTask(), xxxSleepTask(), and xxxUserYield().

struct tagWOWPROCESSINFO* tagWOWPROCESSINFO::pwpiNext

| Definition at line 3410 of file userk.h. Referenced by NtUserPostThreadMessage(), and xxxRegisterUserHungAppHandlers().

The documentation for this struct was generated from the following file:

- userk.h